summaryrefslogtreecommitdiff
path: root/test/run-stp-tests.sh
diff options
context:
space:
mode:
authormsweet <msweet@a1ca3aef-8c08-0410-bb20-df032aa958be>2015-06-08 15:05:11 +0000
committermsweet <msweet@a1ca3aef-8c08-0410-bb20-df032aa958be>2015-06-08 15:05:11 +0000
commit87f8ade3e3ced7b74cefe1569cd393539e5ac04e (patch)
tree1a2fdeb0ef557d25b1578497afa6a7226f4cd932 /test/run-stp-tests.sh
parent370e42d343c080be8aa40471e4625ad7956c2651 (diff)
Update "make check" to report on the exit status of cupsd (useful for seeing if cupsd
crashed; maybe we can grab a crash log?) Add hyperlinks to each of the major sections. git-svn-id: svn+ssh://src.apple.com/svn/cups/cups.org/trunk@12696 a1ca3aef-8c08-0410-bb20-df032aa958be
Diffstat (limited to 'test/run-stp-tests.sh')
-rwxr-xr-xtest/run-stp-tests.sh34
1 files changed, 22 insertions, 12 deletions
diff --git a/test/run-stp-tests.sh b/test/run-stp-tests.sh
index 4901c778b..84808917a 100755
--- a/test/run-stp-tests.sh
+++ b/test/run-stp-tests.sh
@@ -737,7 +737,7 @@ cat str-header.html >$strfile
echo ""
echo "Running IPP compliance tests..."
-echo "<H1>1 - IPP Compliance Tests</H1>" >>$strfile
+echo "<H1><A NAME='IPP'>1 - IPP Compliance Tests</A></H1>" >>$strfile
echo "<P>This section provides the results to the IPP compliance tests" >>$strfile
echo "outlined in the CUPS Software Test Plan. These tests were run on" >>$strfile
echo `date "+%Y-%m-%d"` by $user on `hostname`. >>$strfile
@@ -775,7 +775,7 @@ echo "</PRE>" >>$strfile
echo ""
echo "Running command tests..."
-echo "<H1>2 - Command Tests</H1>" >>$strfile
+echo "<H1><A NAME='COMMAND'>2 - Command Tests</A></H1>" >>$strfile
echo "<P>This section provides the results to the command tests" >>$strfile
echo "outlined in the CUPS Software Test Plan. These tests were run on" >>$strfile
echo $date by $user on `hostname`. >>$strfile
@@ -840,12 +840,8 @@ echo "</PRE>" >>$strfile
#
kill $cupsd
-
-#
-# Append the log files for post-mortim...
-#
-
-echo "<H1>3 - Log Files</H1>" >>$strfile
+wait $cupsd
+cupsdstatus=$?
#
# Verify counts...
@@ -853,7 +849,16 @@ echo "<H1>3 - Log Files</H1>" >>$strfile
echo "Test Summary"
echo ""
-echo "<H2>Summary</H2>" >>$strfile
+echo "<H1><A NAME='SUMMARY'>3 - Test Summary</A></H1>" >>$strfile
+
+if test $cupsdstatus != 0; then
+ echo "FAIL: cupsd failed with exit status $cupsdstatus."
+ echo "<p>FAIL: cupsd failed with exit status $cupsdstatus.</p>" >>$strfile
+ fail=`expr $fail + 1`
+else
+ echo "PASS: cupsd exited with no errors."
+ echo "<p>PASS: cupsd exited with no errors.</p>" >>$strfile
+fi
# Job control files
count=`ls -1 $BASE/spool | wc -l`
@@ -1052,18 +1057,23 @@ else
echo "<P>PASS: $count debug2 messages.</P>" >>$strfile
fi
+#
# Log files...
-echo "<H2>access_log</H2>" >>$strfile
+#
+
+echo "<H1><A NAME='LOGS'>4 - Log Files</A></H1>" >>$strfile
+
+echo "<H2><A NAME='access_log'>access_log</A></H2>" >>$strfile
echo "<PRE>" >>$strfile
sed -e '1,$s/&/&amp;/g' -e '1,$s/</&lt;/g' $BASE/log/access_log >>$strfile
echo "</PRE>" >>$strfile
-echo "<H2>error_log</H2>" >>$strfile
+echo "<H2><A NAME='error_log'>error_log</A></H2>" >>$strfile
echo "<PRE>" >>$strfile
$GREP -v '^d' $BASE/log/error_log | sed -e '1,$s/&/&amp;/g' -e '1,$s/</&lt;/g' >>$strfile
echo "</PRE>" >>$strfile
-echo "<H2>page_log</H2>" >>$strfile
+echo "<H2><A NAME='page_log'>page_log</A></H2>" >>$strfile
echo "<PRE>" >>$strfile
sed -e '1,$s/&/&amp;/g' -e '1,$s/</&lt;/g' $BASE/log/page_log >>$strfile
echo "</PRE>" >>$strfile